<?php
/**
 * Extra for theme options settings
 */
add_filter( 'kopa_theme_options_settings', 'kopa_extra_theme_options_settings' );

function kopa_extra_theme_options_settings( $options ) {

    /* GENERAL */
    $options[] = array(
        'title'   => esc_attr__( 'General', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'general',
        'icon'    => ''
    );

        $options[] = array(
            'title'   => esc_attr__( 'Breadcrumb', 'garajez-lite' ),
            'type' 	  => 'radio',
            'desc' 	  => esc_attr__( 'Show / Hide breadcrumb', 'garajez-lite' ),
            'id' 	  => 'breadcrumb_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );

    $options[] = array(
        'title' => esc_attr__('Default Blog Title', 'garajez-lite'),
        'id' => 'blogtitle-group',
        'type' => 'groupstart'
    );

    $options[] = array(
        'title'   => esc_attr__( 'Page header title', 'garajez-lite' ),
        'type'    => 'radio',
        'desc'    => esc_attr__( 'Show / Hide page title above breadcrumb', 'garajez-lite' ),
        'id'      => 'header_title_status',
        'default' => 1,
        'options' => array(
            '1'   => esc_attr__( 'Show', 'garajez-lite'),
            '0'   => esc_attr__( 'Hide', 'garajez-lite'),
        ),
        'class'   => 'kopa_extra_class',
        'css'     => ''
    );

    $options[] = array(
        'title'   => esc_attr__( 'Before blog title', 'garajez-lite' ),
        'type' 	  => 'text',
        'desc'    => '',
        'id' 	  => 'blog_before_text',
        'default' => esc_attr__('Welcome to', 'garajez-lite'),
        'class'   => 'kopa_extra_class',
        'css'     => '',
    );

    $options[] = array(
        'title'   => esc_attr__( 'Default Blog Text', 'garajez-lite' ),
        'type' 	  => 'text',
        'desc'    => '',
        'id' 	  => 'blog_default_text',
        'default' => esc_attr__('Blog', 'garajez-lite'),
        'class'   => 'kopa_extra_class',
        'css'     => '',
    );

    $options[] = array(
        'title'   => esc_attr__( 'After blog title', 'garajez-lite' ),
        'type' 	  => 'text',
        'desc'    => '',
        'id' 	  => 'blog_after_text',
        'default' => esc_attr__('Page', 'garajez-lite'),
        'class'   => 'kopa_extra_class',
        'css'     => '',
    );

    $options[] = array(
        'id' => 'blogtitle-group',
        'type' => 'groupend'
    );


    /* HEADER */
    $options[] = array(
        'title'   => esc_attr__( 'Header', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'header',
        'icon'    => ''
    );

        $options[] = array(
            'title' => esc_attr__( 'Header info', 'garajez-lite' ),
            'id'    => 'headerinfo-group',
            'type'  => 'groupstart',
        );

            $options[] = array(
                'title' => esc_attr__('Address','garajez-lite'),
                'id'    => 'header_info_address',
                'type'  => 'text',
                'default' => esc_attr__('121 King Street, Melbourne Victoria 3000', 'garajez-lite')
            );
            $options[] = array(
                'title' => esc_attr__('Phone','garajez-lite'),
                'id'    => 'header_info_phone',
                'type'  => 'text',
                'default' => '(84)-91-643-4300'
            );

        $options[] = array(
            'id'    => 'headerinfo-group',
            'type'  => 'groupend',
        );

    /* FOOTER */
    $options[] = array(
        'title'   => esc_attr__( 'Footer', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'footer',
        'icon'    => ''
    );

        $options[] = array(
            'title'   => esc_attr__( 'Custom footer description', 'garajez-lite' ),
            'type' 	  => 'textarea',
            'desc' 	  => esc_attr__( 'Enter the content you want to display in your footer (e.g. copyright text).', 'garajez-lite' ),
            'id' 	  => 'copyright',
            'default' => 'Copyright 2014 - Kopasoft. All Rights Reserved.',
            'class'   => 'kopa_extra_class',
            'css'     => '',
        );

    // LOGO & FAVICON
    $options[] = array(
        'title'   => esc_attr__( 'Logo & Favicon', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'group-logo-favicon',
        'icon'    => ''
    );
    /* MAIN LOGO */
    $options[] = array(
        'title' => esc_attr__( 'Main Logo', 'garajez-lite' ),
        'id'    => 'logo-group',
        'type'  => 'groupstart',
    );

    $options[] = array(
        'title'   => '',
        'type'    => 'upload',
        'id'      => 'logo_url',
        'desc'    => 'Upload your logo',
        'class'   => "kopa_extra_class",
        'mimes'   => 'image',
    );

    $options[] = array(
        'title'   => 'Logo margin top (px)',
        'type'    => 'number',
        'desc'    => '',
        'id'      => 'logo-margin-top',
        'default' => '',
        'class'   => 'kopa_extra_class',
    );
    $options[] = array(
        'title'   => 'Logo margin left (px)',
        'type'    => 'number',
        'desc'    => '',
        'id'      => 'logo-margin-left',
        'default' => '',
        'class'   => 'kopa_extra_class',
    );

    $options[] = array(
        'id'    => 'base-group',
        'type'  => 'groupend',
    );

    /* MOBILE LOGO */
    $options[] = array(
        'title' => esc_attr__( 'Mobile Logo', 'garajez-lite' ),
        'id'    => 'logomobile-group',
        'type'  => 'groupstart',
    );
    $options[] = array(
        'title'   => '',
        'type'    => 'upload',
        'id'      => 'mobile_logo_url',
        'desc'    => 'Small logo in Mobile view',
        'class'   => "kopa_extra_class",
        'mimes'   => 'image',
    );
    $options[] = array(
        'id'    => 'logomobile-group',
        'type'  => 'groupend',
    );

    // Blog setting
    $options[] = array(
        'title'   => esc_attr__( 'Blog', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'blog',
        'icon'    => ''
    );
        $options[] = array(
            'title'   => 'Excerpt words limit for blog',
            'type'    => 'number',
            'desc'    => '',
            'id'      => 'blog_excerpt',
            'default' => 55,
            'class'   => 'kopa_extra_class',
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide category name:', 'garajez-lite' ),
            'type' 	  => 'radio',
            'desc' 	  => '',
            'id' 	  => 'blog_category_name_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide title:', 'garajez-lite' ),
            'type' 	  => 'radio',
            'desc' 	  => '',
            'id' 	  => 'blog_title_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide date:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'blog_date_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide excerpt:', 'garajez-lite' ),
            'type' 	  => 'radio',
            'id' 	  => 'blog_excerpt_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide comment number:', 'garajez-lite' ),
            'type' 	  => 'radio',
            'id' 	  => 'blog_comment_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide read more:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'blog_readmore_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );

    // Post setting
    $options[] = array(
        'title'   => esc_attr__( 'Post', 'garajez-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'post',
        'icon'    => ''
    );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide category:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'post_category_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide title:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'post_title_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide date:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'post_date_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
       $options[] = array(
            'title'   => esc_attr__( 'Show/hide comment number:', 'garajez-lite' ),
            'type'    => 'radio',            
            'id'      => 'post_comment_number_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide author:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'post_author_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide tags:', 'garajez-lite' ),
            'type' 	  => 'radio',            
            'id' 	  => 'post_tag_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        $options[] = array(
            'title'   => esc_attr__( 'Show/hide navigation:', 'garajez-lite' ),
            'type' 	  => 'radio',
            'id' 	  => 'post_navigation_status',
            'default' => 1,
            'options' => array(
                '1'   => esc_attr__( 'Show', 'garajez-lite'),
                '0'   => esc_attr__( 'Hide', 'garajez-lite'),
            ),
            'class'   => 'kopa_extra_class',
            'css'     => ''
        );
        // start group: related post
        $options[] = array(
            'title' => esc_attr__( 'Related Posts', 'garajez-lite' ),
            'id'    => 'related-post-group',
            'type'  => 'groupstart',
        );
        $options[] = array(
            'title'   => esc_attr__( 'Get by', 'garajez-lite' ),
            'type' 	  => 'select',
            'id' 	  => 'post_get_by',
            'default' => '2',
            'options' => array(
                'hide' => esc_attr__('-- Hiden --', 'garajez-lite'),
                'post_tag' => esc_attr__('Tag', 'garajez-lite'),
                'category' => esc_attr__('Category', 'garajez-lite')
            ),
            'class'   => 'kopa_extra_class',
            'css'     => '',
        );
        $options[] = array(
            'title'   => 'Limit',
            'type'    => 'number',
            'id'      => 'post_relate_limit',
            'default' => 2,
            'class'   => 'kopa_extra_class',
        );
        $options[] = array(
            'title'   => 'Custom excerpt length',
            'type'    => 'number',
            'id'      => 'post_relate_custom_length',
            'default' => 10,
            'class'   => 'kopa_extra_class',
        );
        
        // end group
        $options[] = array(
            'type' => 'groupend',
            'id'   => 'related-post-group',
        );

	return $options;
}
